<%-- 
    Document   : Trading_Report
    Created on : Jul 28, 2016, 9:18:24 PM
    Author     : 986137
--%>


<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="java.util.ArrayList" %>
<%@page import="DataEntryBean.EnquiryBean"%>
<%@page import="LoginDb.DbHandler"%>
<%@page import="java.sql.Statement"%>
<%@page import="java.sql.ResultSet"%>
<%@page import="java.sql.Connection"%>
<%@page import="java.util.ArrayList"%>
<% try {
%>
<html>
    <head>
       <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <script src="${pageContext.request.contextPath}/js/Calendar.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/TableCSSCode.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <link rel="shortcut icon" href="${pageContext.request.contextPath}/img/favicon.ico?pacs=<%=((new java.util.Date()).getTime())%>" type="image/x-icon" />
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/styles.css?pacs=<%=((new java.util.Date()).getTime())%>"/>
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/ButtonAndText.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/info.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <script type="text/javascript" src="${pageContext.request.contextPath}/jquery-ui-1.10.4.custom/development-bundle/jquery-1.10.2.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="/PacsApplication/chromejs/chrome.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="/PacsApplication/js/iFrame_killer.js"></script>

        <script>

            function downloadFiles() {

                var e = document.getElementById("reportSelection");

                if (e.options[e.selectedIndex].value == "")
                {
                    alert("Report Name cannot be empty.");
                    document.forms[0].reportSelection.focus();
                    return false;
                }
               // if (document.forms[0].fromDate.value == "" &&  (e.options[e.selectedIndex].value == "1" || e.options[e.selectedIndex].value == "2"))
                if (document.forms[0].fromDate.value == "" )
                {
                    alert("From Date cannot be empty.");
                    document.forms[0].fromDate.focus();
                    return false;
                }
               // if (document.forms[0].toDate.value == "" && (e.options[e.selectedIndex].value == "1" || e.options[e.selectedIndex].value == "2"))
                if (document.forms[0].toDate.value == "" )
                {
                    alert("To Date cannot be empty.");
                    document.forms[0].toDate.focus();
                    return false;
                }                             
                
                var startDate = $('#from_date').val();
                var endDate = $('#to_date').val();
                var adata = startDate.split('/');
                var dd = parseInt(adata[0],10);
                var mm = parseInt(adata[1],10);
                var yyyy = parseInt(adata[2],10);
                var from_date = new Date(yyyy,mm-1,dd);
                
                adata = endDate.split('/');
                var dd = parseInt(adata[0],10);
                var mm = parseInt(adata[1],10);
                var yyyy = parseInt(adata[2],10);
                var to_date = new Date(yyyy,mm-1,dd);
                
                if(Date.parse(from_date) > Date.parse(to_date)){
                    alert("From Date cannot be greater than To Date");
                    return false;
                }

                switch (e.options[e.selectedIndex].value) {

                    case "1" :

                        document.forms[0].reportPath.value = "/Reports/trading_profitability";
                        document.forms[0].reportName.value = "TRADING PROFITIBILTY REPORT";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                    case "2" :

                        document.forms[0].reportPath.value = "/Reports/trading_purchase_details";
                        document.forms[0].reportName.value = "TRADING PURCHASE DETAILS REPORT";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                    case "3" :

                        document.forms[0].reportPath.value = "/Reports/trading_sales_due_status";
                        document.forms[0].reportName.value = "TRADING SALE DUE STATUS REPORT";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                    case "4" :

                        document.forms[0].reportPath.value = "/Reports/trading_stock_expiry_update";
                        document.forms[0].reportName.value = "TRADING STOCK DUE REPORT";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                    case "5" :

                        document.forms[0].reportPath.value = "/Reports/trading_vendor_payment_due_status";
                        document.forms[0].reportName.value = "TRADING VENDOR PAYMENT DUE REPORT";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                    case "6" :

                        document.forms[0].reportPath.value = "/Reports/trading_acc_stmt";
                        document.forms[0].reportName.value = "Trading Account Statement Report";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                    case "7" :

                        document.forms[0].reportPath.value = "/Reports/stockStmtReport";
                        document.forms[0].reportName.value = "Stock Statement Report";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                    case "8" :

                        document.forms[0].reportPath.value = "/Reports/Trading sales report";
                        document.forms[0].reportName.value = "Trading Sales Report";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                    case "9" :

                        document.forms[0].reportPath.value = "/Reports/vender_details";
                        document.forms[0].reportName.value = "Vendor Details Report";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                    case "10" :

                        document.forms[0].reportPath.value = "/Reports/trading_purchase_details";
                        document.forms[0].reportName.value = "Trading Purchase Report";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                   case "11" :

                        document.forms[0].reportPath.value = "/Reports/Trading sales gst report";
                        document.forms[0].reportName.value = "Trading Sale GST Report";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;

                    case "12" :

                        document.forms[0].reportPath.value = "/Reports/Trading purchase gst report";
                        document.forms[0].reportName.value = "Trading Purchase GST Report";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;
                        
                    case "13" :

                        document.forms[0].reportPath.value = "/Reports/Trading gst return report";
                        document.forms[0].reportName.value = "Trading GST Return Report";
                        document.forms[0].DOWNLOAD.value = "P";
                        break;    

                    default :

                        null;

                }

                document.forms[0].action = '/PacsApplication/ExcelReportServlet';
                document.forms[0].submit();

            }
            function ShowParent()
            {

                document.forms[0].action = "${pageContext.request.contextPath}/Trading_JSP/Trading_Report.jsp";
                document.forms[0].submit();
            }
            
            // to restrict back button
            history.pushState(null, null, location.href);
            window.addEventListener('popstate', function(event) {
                history.pushState(null, null, location.href);
            });

        </script>

        <title>Trading Report</title>
       
    </head>
    <body  onload="noBack();">
        <script type="text/javascript">
            function noBack()
            {
                window.history.forward();
            }
        </script>
        <jsp:include page="MenuHead_TRADING.jsp" flush="true" />
        <br>
        <%!
            String blankNull(String s) {
                return (s == null) ? "" : s;
            }

            String blankNA(String s) {
                return (s == null) ? "NA" : s;
            }
        %>
        <%
             String pacsId = (String) session.getAttribute("pacsId");
             Object oEnquiryBeanSearchObj = request.getAttribute("oEnquiryBeanSearchObj");
             EnquiryBean oEnquiryBean = new EnquiryBean();
             EnquiryBean oEnquiryBeanSearch = new EnquiryBean();
             if (oEnquiryBeanSearchObj != null) {
                 oEnquiryBean = (EnquiryBean) request.getAttribute("oEnquiryBeanSearchObj");
                 session.setAttribute("oEnquiryBeanSearchObj", oEnquiryBeanSearchObj);
             }
        %>
        <%String subPacsFlag = (String) session.getAttribute("subPacsFlag");
        %>

        <div style="top:500px">
            <fieldset style="border-color: black; background-image: url('/PacsApplication/img/download.jpg'); border-width: 3px">
                <legend style="padding: 8px; border-radius: 20px; background-color: #006600; color: white">Trading Report</legend>

                <form name="pacsreport" method="post" action="/PacsApplication/DownloadPacsReport">
                    <br>

                    <table>
                        <%if (request.getAttribute("error") != null) {%>
                        <tr><td colspan="2" align="center"><%=request.getAttribute("error").toString()%></td></tr>
                        <%}%>

                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr>

                            <td style=" font-family: Berlin Sans FB; font-weight:normal; ">Report Name <font color="red" >*</font>: </td>
                            <td> <select id="reportSelection" name="reportSelection" >
                                    <option value="" disabled selected style="display:none;" >--Select--</option>
                                    <option value="1">Trading Profitability Report</option>
                                    <option value="2">Trading Purchase Detail Report</option>
                                    <option value="3">Trading Sale Due Status Report</option>
                                    <option value="4">Trading Stock Expiry Report</option>
                                    <option value="5">Trading Vendor Payment Due Status Report</option>
                                    <option value="6">Trading Account Statement Report</option>
                                    <option value="7">Stock Statement Report</option>
                                    <option value="8">Trading Sales Report</option>
                                    <option value="9">Vendor Details Report</option>
                                    <option value="10">Trading Purchase Report</option>
                                    <option value="11">Trading Sales GST Report</option>
                                    <option value="12">Trading Purchase GST Report</option>
                                    <option value="13">Trading GST Return Report</option>

                                </select></td>
                        </tr>
                        <tr>
                            <td style=" font-family: Berlin Sans FB; font-weight:  normal;">From Date<font color="red" >*</font>: </td> <td><input type="text" style="text-align:center;" id="from_date" name="fromDate" maxlength="11" resize="yes" readonly="true">&nbsp;<a href="#" onclick="return getCalendar(document.forms[0].fromDate);"><img src="${pageContext.request.contextPath}/img/calendar.jpg" name="imgr" border="0" width="25" height="20" /></a></td>
                        </tr><tr>
                            <td style=" font-family: Berlin Sans FB; font-weight:  normal;">To Date<font color="red" >*</font>: </td> <td><input type="text" style="text-align:center;" id="to_date" name="toDate" maxlength="11" resize="yes" readonly="true">&nbsp;<a href="#" onclick="return getCalendar(document.forms[0].toDate);"><img src="${pageContext.request.contextPath}/img/calendar.jpg" name="imgr" border="0" width="25" height="20" /></a></td>
                        </tr>
                        <tr>
                            <td style=" font-family: Berlin Sans FB; font-weight:normal; ">Sub-PACS Name: </td>
                            <td><select id="subpacs_id" name="subpacs_id" >
                                    <%if (oEnquiryBean.getSubpacs_id() == null) {%>
                                    <option value="" disabled selected style="display:none;">--Select--</option>
                                    <%if (subPacsFlag.equalsIgnoreCase("N")) {%>
                                    <option value="ALL" >ALL Pacs</option>
                                    <option value="<%=pacsId%>">Own Pacs</option>
                                    <% }%>
                                    <%
                                        Connection connection = null;
                                        ResultSet rs = null;
                                        Statement statement = null;
                                        connection = DbHandler.getDBConnection();
                                        try {
                                            statement = connection.createStatement();
                                            rs = statement.executeQuery("select m.pacs_id,m.pacs_name from pacs_master m where m.head_pacs_id = '" + pacsId + "' and m.pacs_id <> '" + pacsId + "'");
                                            if (!rs.isBeforeFirst()) {%>
                                    <option value="<%=pacsId%>" selected>No Item to Select</option>
                                    <%} else {
                                                                                    while (rs.next()) {%>
                                    <option value="<%=rs.getString(1)%>"><%=rs.getString(2)%></option>
                                    <%}
                                            }
                                           // statement.close();
                                           // connection.close();
                                        } catch (Exception e) {
                                            System.out.println("Error occurred during processing.");
                                        } finally {
                try {
                    if(statement !=null)
                        statement.close();
                    if (connection != null)
                    connection.close();

            } catch (Exception e) {               
               System.out.println("Error Occurred during connection close.");
            }

            }
                                    } else {%>
                                    <option value="<%=blankNull(oEnquiryBean.getSubpacs_id())%>" selected style="display:none;"><%=blankNull(oEnquiryBean.getSubpacs_name())%></option>
                                    <%
                                        Connection connection = null;
                                        ResultSet rs = null;
                                        Statement statement = null;
                                        connection = DbHandler.getDBConnection();
                                        try {
                                            statement = connection.createStatement();
                                            rs = statement.executeQuery("select m.pacs_id,m.pacs_name from pacs_master m where m.head_pacs_id = '" + pacsId + "' and m.pacs_id <> m.head_pacs_id ");
                                            if (!rs.isBeforeFirst()) {%>
                                    <option value="<%=pacsId%>" selected>No Item to Select</option>
                                    <%} else {
                                                                                    while (rs.next()) {%>
                                    <option value="<%=rs.getString(1)%>"><%=rs.getString(2)%></option>
                                    <%}
                                                 }
                                                // statement.close();
                                                // connection.close();
                                             } catch (Exception e) {
                                                System.out.println("Error occurred during processing.");
                                             } finally {
                try {
                    if(statement !=null)
                        statement.close();
                    if (connection != null)
                    connection.close();

            } catch (Exception e) {               
               System.out.println("Error Occurred during connection close.");
            }

            }
                                         }%>
                                </select></td>
                        </tr>
                    </table><br><br><br><br>
                    <center>



                        <input type="button" value="Fetch Report" onclick="javascript:downloadFiles();">
                        <input type="button" value="Reset" id="Reset" onclick="ShowParent();"
                    </center>

                    <input type="hidden" name="reportPath" value=""/>
                    <input type="hidden" name="reportName" value=""/>
                    <input type="hidden" name="DOWNLOAD" value=""/>


                </form>
            </fieldset>
        </div>
    </body>
</html>
<% 	} catch (Exception e) {
                
            }
%>
